
// program to display a frame with "hello world"

import java.awt.*;
import java.awt.event.*;

// "original" AWT (abstract window tookit)
// Swing (new and improved java UI).
// in class, we'll mostly use AWT (simpler).
public class MyFrame extends Frame {

    public MyFrame(){
        super();
        // capture the Window close button event
        addWindowListener(new WindowAdapter(){
            public void windowClosing(WindowEvent e) {
                // kill program when someone
                // closes this window.
                System.exit(0);
            }
        });
        setSize(640,480);
    }
    public void paint(Graphics g){
        g.drawString("Hello World",bounds().width/2,bounds().height/2);
    }
    public static void main(String[] args){
        MyFrame f = new MyFrame();
        f.show();
    }
}



